{% extends "slow_forum/base_content.html"%}
{% load i18n tz slow_promote %}


{% block page_title %}
    {% translate "Forum Home" %}
{% endblock %}

{% block content_title %}
    {{ global_preferences.general__forum_name|escape }}
{% endblock %}

{% block content_actions %}

{% endblock %}


{% block content %}

    {# Welcome message #}
    
    <div class="welcome_message mb-5 row">

        <div class="col-1">
            <img class="forum_logo img-fluid" alt="logo" src="/media/{{ global_preferences.general__forum_logo }}"/>
        </div>
        
        <div class="col-11">
                {{ global_preferences.general__welcome_message|escape|linebreaks }}
        </div>

    </div>


    {# Latest activity #}
    
    <div class="latest_activity mt-5">

        {# Latest topics #}

        <div class="latest_topics mt-5 mb-5">
            
            <h2 class="mb-3 text-secondary">

                {% trans "Latest topics" %} 
            </h2>
            
            {% if topics_list %}
                
                <div class="topics_list">
                    {% for topic in topics_list %}
                        {% promote_topic topic %}
                    {% endfor %}
                </div>
            {% else %}
                
                <p>{% translate "No topic open" %}</p>
                
            {% endif %}

        </div>

    </div>

{% endblock %}
